<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14313.18" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="HKZ-lq-SZR">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14283.14"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Main View-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" userLabel="Main View" customClass="ViewController" customModule="CollectionView" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <collectionView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" dataMode="prototypes" translatesAutoresizingMaskIntoConstraints="NO" id="Ze8-fa-x2M">
                                <rect key="frame" x="0.0" y="0.0" width="375" height="623"/>
                                <color key="backgroundColor" white="0.66666666666666663" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <collectionViewFlowLayout key="collectionViewLayout" minimumLineSpacing="10" minimumInteritemSpacing="10" id="27X-Rd-OKN">
                                    <size key="itemSize" width="200" height="200"/>
                                    <size key="headerReferenceSize" width="0.0" height="0.0"/>
                                    <size key="footerReferenceSize" width="0.0" height="0.0"/>
                                    <inset key="sectionInset" minX="0.0" minY="0.0" maxX="0.0" maxY="0.0"/>
                                </collectionViewFlowLayout>
                                <cells>
                                    <collectionViewCell opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" reuseIdentifier="CollectionViewCell" id="gXs-bI-86X" customClass="CollectionViewCell" customModule="CollectionView" customModuleProvider="target">
                                        <rect key="frame" x="87.5" y="0.0" width="200" height="200"/>
                                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                        <view key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" insetsLayoutMarginsFromSafeArea="NO">
                                            <rect key="frame" x="0.0" y="0.0" width="200" height="200"/>
                                            <autoresizingMask key="autoresizingMask"/>
                                            <subviews>
                                                <label opaque="NO" userInteractionEnabled="NO" tag="100" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Bx7-pf-C2D">
                                                    <rect key="frame" x="79" y="89.5" width="42" height="21"/>
                                                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                    <color key="textColor" red="0.99999600649999998" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                                    <nil key="highlightedColor"/>
                                                </label>
                                                <imageView hidden="YES" userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="Unchecked" translatesAutoresizingMaskIntoConstraints="NO" id="eXW-cR-y0T">
                                                    <rect key="frame" x="170" y="170" width="22" height="22"/>
                                                    <constraints>
                                                        <constraint firstAttribute="height" constant="22" id="2gN-0R-8IU"/>
                                                        <constraint firstAttribute="width" constant="22" id="68k-Jc-bhc"/>
                                                    </constraints>
                                                </imageView>
                                            </subviews>
                                        </view>
                                        <color key="backgroundColor" red="1" green="0.5" blue="0.22923801369863014" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <constraints>
                                            <constraint firstItem="Bx7-pf-C2D" firstAttribute="centerY" secondItem="gXs-bI-86X" secondAttribute="centerY" id="4ar-mg-2zZ"/>
                                            <constraint firstItem="Bx7-pf-C2D" firstAttribute="centerX" secondItem="gXs-bI-86X" secondAttribute="centerX" id="5vn-sw-9jA"/>
                                            <constraint firstAttribute="trailing" secondItem="eXW-cR-y0T" secondAttribute="trailing" constant="8" id="KpT-mw-ZOG"/>
                                            <constraint firstAttribute="bottom" secondItem="eXW-cR-y0T" secondAttribute="bottom" constant="8" id="RIA-xj-CvE"/>
                                        </constraints>
                                        <connections>
                                            <outlet property="selectionImage" destination="eXW-cR-y0T" id="mTf-iq-liK"/>
                                            <outlet property="titleLabel" destination="Bx7-pf-C2D" id="duc-d1-AXW"/>
                                        </connections>
                                    </collectionViewCell>
                                </cells>
                                <connections>
                                    <outlet property="dataSource" destination="BYZ-38-t0r" id="VrZ-HP-asI"/>
                                    <outlet property="delegate" destination="BYZ-38-t0r" id="PZI-Cv-vjI"/>
                                </connections>
                            </collectionView>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstItem="Ze8-fa-x2M" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" id="1vS-nA-mZf"/>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="bottom" secondItem="Ze8-fa-x2M" secondAttribute="bottom" id="JVE-mo-T5g"/>
                            <constraint firstItem="6Tk-OE-BBY" firstAttribute="trailing" secondItem="Ze8-fa-x2M" secondAttribute="trailing" id="Mc2-lf-71t"/>
                            <constraint firstItem="Ze8-fa-x2M" firstAttribute="top" secondItem="8bC-Xf-vdC" secondAttribute="top" id="MgV-2f-dfg"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="6Tk-OE-BBY"/>
                    </view>
                    <toolbarItems>
                        <barButtonItem enabled="NO" systemItem="trash" id="pxx-lQ-rBW">
                            <connections>
                                <action selector="deleteSelected" destination="BYZ-38-t0r" id="asB-y7-6JF"/>
                            </connections>
                        </barButtonItem>
                    </toolbarItems>
                    <navigationItem key="navigationItem" id="Lt8-Pf-aey">
                        <barButtonItem key="rightBarButtonItem" systemItem="add" id="5Ol-up-BpD">
                            <connections>
                                <action selector="addItem" destination="BYZ-38-t0r" id="S8s-vU-D7V"/>
                            </connections>
                        </barButtonItem>
                    </navigationItem>
                    <simulatedToolbarMetrics key="simulatedBottomBarMetrics"/>
                    <connections>
                        <outlet property="addButton" destination="5Ol-up-BpD" id="dna-tS-GpB"/>
                        <outlet property="collectionView" destination="Ze8-fa-x2M" id="ttb-hV-DCL"/>
                        <outlet property="deleteButton" destination="pxx-lQ-rBW" id="JAt-uY-ggp"/>
                        <segue destination="iTW-ZF-GHu" kind="show" identifier="DetailSegue" id="5qZ-8F-K9S"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="852" y="-157.87106446776613"/>
        </scene>
        <!--Detail View-->
        <scene sceneID="Gcl-HE-2cY">
            <objects>
                <viewController id="iTW-ZF-GHu" userLabel="Detail View" customClass="DetailViewController" customModule="CollectionView" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="xOc-jc-dft">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Detail Screen" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="fWg-Xd-4CA">
                                <rect key="frame" x="136.5" y="323" width="102" height="21"/>
                                <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="fWg-Xd-4CA" firstAttribute="centerY" secondItem="xOc-jc-dft" secondAttribute="centerY" id="6zM-rR-EM8"/>
                            <constraint firstItem="fWg-Xd-4CA" firstAttribute="centerX" secondItem="xOc-jc-dft" secondAttribute="centerX" id="fdI-vE-e5M"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="VFO-0e-4sB"/>
                    </view>
                    <connections>
                        <outlet property="detailsLabel" destination="fWg-Xd-4CA" id="H4n-eA-bjT"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="0Gd-rn-PfP" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1852" y="-158.77061469265368"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="2hr-vJ-ZF3">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" toolbarHidden="NO" id="HKZ-lq-SZR" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="gSP-pN-5vZ">
                        <rect key="frame" x="0.0" y="20" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <toolbar key="toolbar" opaque="NO" clearsContextBeforeDrawing="NO" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="InS-Oe-pZb">
                        <rect key="frame" x="0.0" y="623" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </toolbar>
                    <connections>
                        <segue destination="BYZ-38-t0r" kind="relationship" relationship="rootViewController" id="FUf-Ey-WUV"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="IeT-sd-0zd" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-87.200000000000003" y="-157.87106446776613"/>
        </scene>
    </scenes>
    <resources>
        <image name="Unchecked" width="22" height="22"/>
    </resources>
</document>
